--- title: "UpdateNotificationInterval" slug: "security-webshellbehaviordetector-notification-updatenotificationinterval" tags: ["Webshell Behavior Detector"] updated: 2026-09-17T10:15:45Z published: 2026-09-17T10:15:45Z canonical: "api.ncloud-docs.com/security-webshellbehaviordetector-notification-updatenotificationinterval" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # UpdateNotificationInterval Available in VPC Set the notification delivery interval. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | PATCH | /api/v1/alarm/interval | ### Request headers For information about the headers common to all Webshell Behavior Detector APIs, see [Webshell Behavior Detector request headers](/docs/en/security-webshellbehaviordetector#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body The following describes the request body. | Field | Type | Required | Description | | --- | --- | --- | --- | | `interval` | String | Required | Notification delivery interval - `one_min` \| `two_min` \| `three_min` \| `four_min` \| `five_min` \| `ten_min` \| `thirty_min` \| `one_hour` \| `three_hour` \| `six_hour` \| `twelve_hour` \| `twenty_four_hour` - `one_min`: 1 minute - `two_min`: 2 minutes - `three_min`: 3 minutes - `four_min`: 4 minutes - `five_min`: 5 minutes - `ten_min`: 10 minutes - `thirty_min`: 30 minutes - `one_hour`: 1 hour - `three_hour`: 3 hours - `six_hour`: 6 hours - `twelve_hour`: 12 hours - `twenty_four_hour`: 24 hours | ### Request example The following is a sample request. ``` curl --location --request PATCH 'https://wbd.apigw.ntruss.com/api/v1/alarm/interval' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --header 'X-NCP-USE_PLATFORM_TYPE: VPC' \ --data '{ "interval": "three_hour" }' ``` ## Response The following describes the response format. ### Response body The following describes the response body. | Field | Type | Required | Description | | --- | --- | --- | --- | | `success` | Boolean | - | Request handling status | | `code` | Integer | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Response result | ### Response status codes For information about the HTTP status codes common to all Webshell Behavior Detector APIs, see [Webshell Behavior Detector response status codes](/docs/en/security-webshellbehaviordetector#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample example. ``` { "success": true, "code": 0, "message": "success", "result": null } ```